CREATE OR REPLACE function arc2arcs_01_del_non_ex_task
(
  src_environment in numeric(31),
  dest_environment in numeric(31)
)
return numeric(31) is

begin
  --cancelliamo i task non presenti nel sistema sorgente
  delete from task t_dest where not exists
  (
    select 1 from &IGA_CORE_USER_OLD..task t_src where
      t_src.id = t_dest.id
      and t_src.environment = src_environment
  )
  and t_dest.environment = dest_environment;

  --cancelliamo i task presenti nel sistema sorgente
  --con stesso CODE e ID diverso
  delete from task t_dest where exists
  (
    select 1 from &IGA_CORE_USER_OLD..task t_src where
      t_src.id <> t_dest.id
      and lower ( t_src.code ) = lower ( t_dest.code )
      and t_src.environment = src_environment
  )
  and t_dest.environment = dest_environment;

  return 0;
end arc2arcs_01_del_non_ex_task;
/
