CREATE OR REPLACE function rm_init_ent
(
  entitlement_id in numeric(31)
)
return sys_refcursor is
--Inserisce nella TMP_JOIN i PROFILE posseduti dall'ENTILEMENT (JOB_ROLE) passato.
  cur_count sys_refcursor;
begin
  insert into tmp_join (code)
    select
      /*+ ORDERED */ efh.child
    from
      entitlement_flat_hier efh
    where
      efh.parent = entitlement_id
      --2015-03-20 - Non si inseriscono profili duplicati lanciando la procedura senza svuotare la tmp_join
      and not exists ( select 1 from tmp_join tt where cast ( tt.code as numeric(31) ) = efh.child )
      and efh.child_int_type = 1
      --2015-07-03 - Aggiunta gestione degli external role fulfilled ma figli di altri external role fulfilled
      and efh.ext_fulfillment_limit = 0;

  open cur_count for select count(tj.code) as COUNTER from tmp_join tj;

  return cur_count;
end rm_init_ent;
/
