declare
  counter        number(16);
  im_id          number(16);
  im_name        varchar2(256) := 'EC';
  
  flow_search    varchar2(256) := 'global com.engiweb.logger.impl.Log4JImpl log';
  flow_replace   varchar2(256) := 'global com.engiweb.logger.ILogger log';
begin
  select count(1) into counter from ideas_module t where lower ( t.code ) = lower ( im_name );
  if ( counter = 1 ) then
    select t.id into im_id from ideas_module t where lower ( t.code ) = lower ( im_name );
  else
    RAISE_APPLICATION_ERROR ( -20200, 'NO IDEAS MODULE FOUND' );
  end if;
  
  select count(1) into counter from flow where ideas_module = im_id and lower ( flow_lob ) like lower ( '%' || flow_search || '%' );
  if ( counter > 0 ) then  
    update flow set flow_lob = /*sysfun.*/replace ( flow_lob, flow_search, flow_replace ) where ideas_module = im_id and lower ( flow_lob ) like lower ( '%' || flow_search || '%' );
  end if;
end;
/
commit;

declare
  counter        number(16);
  im_id          number(16);
  im_name        varchar2(256) := 'EC';
  
  flow_search    varchar2(256) := 'global org.apache.log4j.Logger log';
  flow_replace   varchar2(256) := 'global com.engiweb.logger.ILogger log';
begin
  select count(1) into counter from ideas_module t where lower ( t.code ) = lower ( im_name );
  if ( counter = 1 ) then
    select t.id into im_id from ideas_module t where lower ( t.code ) = lower ( im_name );
  else
    RAISE_APPLICATION_ERROR ( -20200, 'NO IDEAS MODULE FOUND' );
  end if;
  
  select count(1) into counter from flow where ideas_module = im_id and lower ( flow_lob ) like lower ( '%' || flow_search || '%' );
  if ( counter > 0 ) then  
    update flow set flow_lob = /*sysfun.*/replace ( flow_lob, flow_search, flow_replace ) where ideas_module = im_id and lower ( flow_lob ) like lower ( '%' || flow_search || '%' );
  end if;
end;
/
commit;
