declare
  rq_id            number(16);
  rq_name          varchar2(256) := 'Illegal user without mitigation DB';
  rq_desc          varchar2(512) := '';
  rqd              clob;

  counter          number(16);
begin
  rqd := 'select
'||'  count(1) as user_unremediated
'||'from
'||'  #schema_tmp#.tmp_rep_organizational_unit tmpou,
'||'  #pmschema#.group_person                       gp,
'||'  #pmschema#.person_incomp                      pi,
'||'  #pmschema#.environment                        env
'||'where tmpou.id = gp.organizational_unit
'||'  and gp.person = pi.person
'||'  and pi.environment = env.id
'||'  and gp.hierarchy = 1
'||'  and env.working = 1
'||'  and pi.comp_time > 0
'||'  and ( pi.rem_under <> 0 or pi.rem_over <> 0 )
'||'';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  if ( counter = 1 ) then
    select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );

    update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/

commit;
