CREATE OR REPLACE function arc2arcs_01_ins_mis_task
(
  src_environment in numeric(31),
  dest_environment in numeric(31)
)
return numeric(31) is

begin
  --inseriamo i task mancanti nel sistema destinazione
  --ATTENZIONE:
  --LA QUERY DI RICERCA DELLE DIFFERENZE AVVIENE SU ***TUTTI***
  --I CAMPI TRANNE ENVIRONMENT
  --SE VENGONO AGGIUNTI CAMPI IN PIU SULLA TABELLA O SE SI VUOLE
  --DISABILITARE IL CONTROLLO SU QUALCHE CAMPO BISOGNA AGIRE QUI
  insert into task
    (environment, id, name, description, state, attr1, attr2,
     attr3, attr4, attr5, last_mod_user, last_mod_time,
     parent, path, profile_task, /*owner,*/ ownercode, code)
  select
    dest_environment, t_src.id, t_src.name, t_src.description, t_src.state, t_src.attr1, t_src.attr2,
    t_src.attr3, t_src.attr4, t_src.attr5, t_src.last_mod_user, t_src.last_mod_time,
    t_src.parent, t_src.path, t_src.profile_task, /*t_src.owner,*/ t_src.ownercode, t_src.code
  from &IGA_CORE_USER_OLD..task t_src where not exists
  (
    select 1 from task t_dest where
      t_src.id = t_dest.id
      and t_dest.environment = dest_environment
  )
  and t_src.environment = src_environment;

  return 0;
end arc2arcs_01_ins_mis_task;
/
