CREATE OR REPLACE function rm_get_permission_detail
return sys_refcursor is
  cur_entitlement sys_refcursor;
begin
  open cur_entitlement for
    select
      e.id as ENTITLEMENT_ID,
      e.name as ENTITLEMENT_NAME,
      e.int_type as ENTITLEMENT_INT_TYPE,
      a.id as ENTITLEMENT_APP_ID,
      a.name as ENTITLEMENT_APP_NAME,
      pt.id as ENTITLEMENT_PT_ID,
      pt.name as ENTITLEMENT_PT_NAME,
      --2015-07-03 - Aggiunta gestione degli external role
      e.ext_type as ENTITLEMENT_EXT_TYPE
    from
      tmp_join t,
      entitlement e,
      application a,
      profile_type pt
    where cast ( t.code as numeric(31) ) = e.id
      and a.id = e.application
      and pt.id = e.profile_type;

  return cur_entitlement;
end rm_get_permission_detail;
/
