declare
  pa_id     numeric(16)  := 180;
  pa_perm   varchar(256) := 'AUTH/Authorize Escalation$Authorize_Escalation';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 182;
  pa_perm   varchar(256) := 'EXE/Request by Application$Report_Request_by_Application';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 185;
  pa_perm   varchar(256) := 'EXE/Exec Request$Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 186;
  pa_perm   varchar(256) := 'AUTH/Auth Request$Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 187;
  pa_perm   varchar(256) := 'GEN/Create Request$Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 188;
  pa_perm   varchar(256) := 'EXE/Execute Admin Access Request$Admin_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 189;
  pa_perm   varchar(256) := 'AUTH/Authorize Admin Access Request$Admin_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 190;
  pa_perm   varchar(256) := 'GEN/Admin Access Request$Admin_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 191;
  pa_perm   varchar(256) := 'EXE/Exec Delegation Request$Delegation_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 192;
  pa_perm   varchar(256) := 'AUTH/Authorize Delegation Access$Delegation_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 193;
  pa_perm   varchar(256) := 'GEN/Delegation Request$Delegation_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 197;
  pa_perm   varchar(256) := 'EXE/Exec Account Change Request$Account_Change';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 198;
  pa_perm   varchar(256) := 'AUTH/Authorize Account Change Request$Account_Change';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 199;
  pa_perm   varchar(256) := 'GEN/Account Change Request$Account_Change';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 205;
  pa_perm   varchar(256) := 'EXE/Exec Request$Personal_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 206;
  pa_perm   varchar(256) := 'AUTH/Auth Request$Personal_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 207;
  pa_perm   varchar(256) := 'GEN/Self Create Request$Personal_Access_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 208;
  pa_perm   varchar(256) := 'EXE/Request Report$Report_Request';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

declare
  pa_id     numeric(16)  := 210;
  pa_perm   varchar(256) := 'EXE/My Requests$Report_Request_For_Me';
  counter   numeric(16);
begin
  select count(1) into counter from cfg_processactivity t where t.id = pa_id and t.permission = substr( pa_perm, 1, instr( pa_perm, '$' ) - 1 );
  if ( counter = 1 ) then
    update cfg_processactivity set permission = pa_perm where id = pa_id;
  end if;
end;
/
commit;

