declare
  counter        number(16);
  drv_name       varchar2(256) := 'pathFile';
  drv_value      varchar2(256) := '/opt/ideas/connector/';
  drv_value_rep  varchar2(256) := '/opt/isig/connectors/';
begin
  select count(1) into counter from driver_property
  where lower ( name ) = lower ( drv_name ) and lower ( value ) like lower ( drv_value || '%' );
  
  if ( counter > 0 ) then
    update driver_property set value = replace ( value, drv_value, drv_value_rep )
    where lower ( name ) = lower ( drv_name ) and lower ( value ) like lower ( drv_value || '%' );
  end if;
end;
/
commit;
